"""Read in sww file, interpolate at specified locations and plot
"""

import project
from pyvolution.util import file_function

swwfile = project.outputdir + project.basename + '.sww'

#gauges = [[0.000, 1.696]]  #Boundary
#gauges += [[4.521, 1.196],  [4.521, 1.696],  [4.521, 2.196]] #Ch 5-7-9
#gauge_names = ['Boundary', 'ch5', 'ch7', 'ch9']
#finaltime = 22.5
#timestep = 0.05

gauges = [[60000, 83000],
          [60000, 80000],
          [60000, 75000],                    
          [60000, 70000],          
          [60000, 60000],
          [60000, 50000],          
          [60000, 40000],
          [60000, 30000],          
          [60000, 20000],
          [60000, 10000],          
          [60000, 0]]
#gauge_names = ['SW', 'N', 'N2', ]
 

#Read model output
from caching import cache
#f = file_function(swwfile,
#                  quantities = 'stage',
#                  interpolation_points = gauges,
#                  verbose = True)

f = cache(file_function, swwfile,
          {'quantities': 'stage',
           'interpolation_points': gauges,
           'verbose': True},
          dependencies = [swwfile],
          verbose = True)

print f
model_time = f.T


for k, g in enumerate(gauges):
    model_values = []
    for i, t in enumerate(f.T):
        val = f(t, point_id = k)[0]
        model_values.append(val)

    from pylab import *
    ion()
    hold(False)
    plot(model_time, model_values, '-b')
    name = str(g)
    title('Gauge %s' %name)
    savefig(name, dpi = 300)

    raw_input('Next')
show()

